import { ChainId } from "./ChainId";
import { EthereumContractAddress } from "./EthereumContractAddress";
import { RegistryModulesNames } from "./RegistryModulesNames";
import { ProviderUrl } from "./ProviderUrl";
export declare class ChainInformation {
    name: string;
    chainId: ChainId;
    hasGovernance: boolean;
    isDev: boolean;
    channelFactoryAddress: EthereumContractAddress;
    transferRegistryAddress: EthereumContractAddress;
    hypertokenAddress: EthereumContractAddress;
    messageTransferAddress: EthereumContractAddress;
    insuranceTransferAddress: EthereumContractAddress;
    parameterizedTransferAddress: EthereumContractAddress;
    hypernetGovernorAddress: EthereumContractAddress | null;
    registryFactoryAddress: EthereumContractAddress | null;
    gatewayRegistryAddress: EthereumContractAddress | null;
    liquidityRegistryAddress: EthereumContractAddress | null;
    tokenRegistryAddress: EthereumContractAddress | null;
    chainRegistryAddress: EthereumContractAddress | null;
    hypernetProfileRegistryAddress: EthereumContractAddress | null;
    modulesRegistryAddress: EthereumContractAddress | null;
    registryModulesNames: RegistryModulesNames;
    providerUrls: ProviderUrl[];
    constructor(name: string, chainId: ChainId, hasGovernance: boolean, isDev: boolean, channelFactoryAddress: EthereumContractAddress, transferRegistryAddress: EthereumContractAddress, hypertokenAddress: EthereumContractAddress, messageTransferAddress: EthereumContractAddress, insuranceTransferAddress: EthereumContractAddress, parameterizedTransferAddress: EthereumContractAddress, hypernetGovernorAddress: EthereumContractAddress | null, registryFactoryAddress: EthereumContractAddress | null, gatewayRegistryAddress: EthereumContractAddress | null, liquidityRegistryAddress: EthereumContractAddress | null, tokenRegistryAddress: EthereumContractAddress | null, chainRegistryAddress: EthereumContractAddress | null, hypernetProfileRegistryAddress: EthereumContractAddress | null, modulesRegistryAddress: EthereumContractAddress | null, registryModulesNames: RegistryModulesNames, providerUrls: ProviderUrl[]);
}
export declare class GovernanceChainInformation extends ChainInformation {
    name: string;
    chainId: ChainId;
    hasGovernance: boolean;
    isDev: boolean;
    channelFactoryAddress: EthereumContractAddress;
    transferRegistryAddress: EthereumContractAddress;
    hypertokenAddress: EthereumContractAddress;
    messageTransferAddress: EthereumContractAddress;
    insuranceTransferAddress: EthereumContractAddress;
    parameterizedTransferAddress: EthereumContractAddress;
    hypernetGovernorAddress: EthereumContractAddress;
    registryFactoryAddress: EthereumContractAddress;
    gatewayRegistryAddress: EthereumContractAddress;
    liquidityRegistryAddress: EthereumContractAddress;
    tokenRegistryAddress: EthereumContractAddress;
    chainRegistryAddress: EthereumContractAddress;
    hypernetProfileRegistryAddress: EthereumContractAddress;
    modulesRegistryAddress: EthereumContractAddress | null;
    registryModulesNames: RegistryModulesNames;
    providerUrls: ProviderUrl[];
    constructor(name: string, chainId: ChainId, hasGovernance: boolean, isDev: boolean, channelFactoryAddress: EthereumContractAddress, transferRegistryAddress: EthereumContractAddress, hypertokenAddress: EthereumContractAddress, messageTransferAddress: EthereumContractAddress, insuranceTransferAddress: EthereumContractAddress, parameterizedTransferAddress: EthereumContractAddress, hypernetGovernorAddress: EthereumContractAddress, registryFactoryAddress: EthereumContractAddress, gatewayRegistryAddress: EthereumContractAddress, liquidityRegistryAddress: EthereumContractAddress, tokenRegistryAddress: EthereumContractAddress, chainRegistryAddress: EthereumContractAddress, hypernetProfileRegistryAddress: EthereumContractAddress, modulesRegistryAddress: EthereumContractAddress | null, registryModulesNames: RegistryModulesNames, providerUrls: ProviderUrl[]);
}
//# sourceMappingURL=ChainInformation.d.ts.map